export type TypeRenderingStates = 'RENDERING' | 'LOADING' | 'FINISHED' | 'PAUSED';

export type LineType = 'Highlight' | 'Underline' | 'Squiggly' | 'StrikeOut';

export type PayloadType = {
  payload: any;
};

export type ViewportType = {
  width: number;
  height: number;
};

export type ProgressType = {
  loaded: number;
  total: number;
};

export type ScrollStateType = {
  right: boolean;
  down: boolean;
  lastX: number;
  lastY: number;
};

export type SelectOptionType = {
  key: string | number;
  content: React.ReactNode;
  value: number | string;
};

export type Position = {
  top: number;
  bottom: number;
  left: number;
  right: number;
};

export type AnnotationType = {
  obj_type?: string;
  obj_attr?: {
    page?: number;
    bdcolor?: string;
    position?: Position[];
    transparency?: number;
  };
};
